> For the complete documentation index, see [llms.txt](https://docs.kiln.fi/v1/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kiln.fi/v1/kiln-products/onchain/security/audits-and-bug-bounties.md).

# Audits & Bug Bounties

Kiln aims to provide a secured and enhanced experience of staking through the different Kiln On-Chain smart contract platforms.

On-Chain products have been audited multiple time by various security firms and are under exhaustive monitoring and security practices to limit security risks as much as possible. &#x20;

## Kiln Onchain Dedicated Staking v1

### Resources

| Resource                              | Link                                                                                                                                                                   |
| ------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Source Code (Smart Contracts only)    | <https://github.com/kilnfi/staking-contracts/tree/master>                                                                                                              |
| Ledger Live mainnet                   | [https://etherscan.io/address/0x1e68238ce926dec62b3fbc99ab06eb1d85ce0270](https://etherscan.io/address/0x1e68238ce926dec62b3fbc99ab06eb1d85ce0270?utm_source=immunefi) |
| Ledger Live testnet                   | <https://goerli.etherscan.io/address/0xe8Ff2a04837aac535199eEcB5ecE52b2735b3543>                                                                                       |
| Other mainnet and testnet deployments | <https://github.com/kilnfi/staking-contracts/tree/master/deployments>                                                                                                  |

### Audits

| Security firm                               | Audit link                                   | Scope                                                                      | Date                                     |
| ------------------------------------------- | -------------------------------------------- | -------------------------------------------------------------------------- | ---------------------------------------- |
| [Ledger Donjon](https://donjon.ledger.com/) | Not available.                               | [Smart Contracts](https://github.com/kilnfi/staking-contracts/tree/master) | <p>July 21st 2022<br>March 15th 2023</p> |
| [Halborn](https://www.halborn.com/)         | Available [here](https://security.kiln.fi/). | [Smart Contracts](https://github.com/kilnfi/staking-contracts/tree/master) | July 22nd 2022                           |
| [Spearbit](https://spearbit.com/)           | Available [here](https://security.kiln.fi/). | [Smart Contracts](https://github.com/kilnfi/staking-contracts/tree/master) | July 27th 2023                           |
| [Ledger Donjon](https://donjon.ledger.com/) | Not available.                               | [Ledger Nano Plugin](https://github.com/LedgerHQ/app-plugin-kiln)          | <p>July 21st 2022<br>March 15th 2023</p> |

### Bug Bounty

* [Cantina](https://cantina.xyz/bounties/607dd012-08ad-4080-bf4a-78dc1c28faa9)
* [Immunefi](https://cantina.xyz/bounties/607dd012-08ad-4080-bf4a-78dc1c28faa9)

A $1,000,000 max bounty program is live since 21 August 2023. All bug reports must come with a working PoC impacting asset listed in the "Assets in Scope" section of the program which only addresses smart contracts.

## Kiln Onchain Platform ("v2")

| Security firm                     | Audit link                                   | Date            |
| --------------------------------- | -------------------------------------------- | --------------- |
| [Spearbit](https://spearbit.com/) | Available [here](https://security.kiln.fi/). | July 27th 2023  |
| Spearbit/Cantina                  | Available [here](https://security.kiln.fi/). | April 13th 2026 |

## Kiln Operator Infrastructure

Kiln is **SOC 2 Type I** and **SOC 2 Type II** certified and has been undergoing multiple penetration testings and audits from third parties.

Certifications and audits reports are available upon request [here](https://security.kiln.fi/).

### Bug Bounty

* [Cantina](https://cantina.xyz/bounties/185c683c-77e7-4b71-822d-95e1a98fee9e)
* Immunefi

A $500,000 max bounty program is live since September 9th 2024. All bug reports must come with a working PoC impacting asset listed in the "Assets in Scope" section of the program which only addresses smart contracts.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.kiln.fi/v1/kiln-products/onchain/security/audits-and-bug-bounties.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
